<?php

class kavehUpdater {
    public function __construct(){

        $this->kavehTheme_update_check();

    }
    private function kavehTheme_update_check(){

        require_once KAVEH_TEMPLATE_PATH . '/inc/plugin-update-checker/plugin-update-checker.php';

        $myUpdateChecker = YahnisElsts\PluginUpdateChecker\v5\PucFactory::buildUpdateChecker(
            'https://kaveh.moeinwp.com/demos/details.json',
            KAVEH_TEMPLATE_PATH . '/style.css',
            'kavehTheme'
        );
        
    }
}